# Method: organizations.locations.vpcFlowLogsConfigs.get

- [HTTP request](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs/get#body.request_body)
- [Response body](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs/get#try-it)

Gets the details of a specific `VpcFlowLogsConfig`.

### HTTP request

`GET https://networkmanagement.googleapis.com/v1beta1/{name=organizations/*/locations/*/vpcFlowLogsConfigs/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the VpcFlowLogsConfig, in one of the following formats: - For project-level resources: `projects/{projectId}/locations/global/vpcFlowLogsConfigs/{vpcFlowLogsConfigId}` - For organization-level resources: `organizations/{organization_id}/locations/global/vpcFlowLogsConfigs/{vpcFlowLogsConfigId}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `networkmanagement.vpcflowlogsconfigs.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/rest/v1beta1/organizations.locations.vpcFlowLogsConfigs#VpcFlowLogsConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).